--
-- Copyright (c) 2015-2016, President and Fellows of Harvard College
--
-- Redistribution and use in source and binary forms, with or without
-- modification, are permitted provided that the following conditions are met:
--
-- 1. Redistributions of source code must retain the above copyright
-- notice, this list of conditions and the following disclaimer.
--
-- 2. Redistributions in binary form must reproduce the above copyright
-- notice, this list of conditions and the following disclaimer in the
-- documentation and/or other materials provided with the distribution.
--
-- 3. The name of the author may not be used to endorse or promote products
-- derived from this software without specific prior written permission.
--
-- THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-- WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-- MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-- EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-- SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
-- TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-- PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-- LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-- NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-- SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--

ALTER TABLE appointment_status ADD COLUMN is_cancelled INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_checked_in INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_checked_out INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_hold INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_scheduled INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_open INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_active INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_serviced INT(1) NOT NULL DEFAULT 0;
ALTER TABLE appointment_status ADD COLUMN is_serviceable INT(1) NOT NULL DEFAULT 0;
UPDATE appointment_status SET is_cancelled = 1 WHERE name = 'Cancellation';
UPDATE appointment_status SET is_checked_in = 1 WHERE name = 'Checked-In';
UPDATE appointment_status SET is_checked_out = 1 WHERE name = 'Checked-Out';
UPDATE appointment_status SET is_hold = 1 WHERE name = 'Hold';
UPDATE appointment_status SET is_scheduled = 1 WHERE name = 'Scheduled';
UPDATE appointment_status SET is_open = 1 WHERE name = 'Scheduled';
UPDATE appointment_status SET is_open = 1 WHERE name = 'Checked-In';
UPDATE appointment_status SET is_open = 1 WHERE name = 'Hold';
UPDATE appointment_status SET is_active = 1 WHERE name = 'Scheduled';
UPDATE appointment_status SET is_active = 1 WHERE name = 'Checked-In';
UPDATE appointment_status SET is_serviced = 1 WHERE name = 'Checked-In';
UPDATE appointment_status SET is_serviced = 1 WHERE name = 'Checked-Out';
UPDATE appointment_status SET is_serviceable = 1 WHERE name = 'Scheduled';
UPDATE appointment_status SET is_serviceable = 1 WHERE name = 'Checked-In';
UPDATE appointment_status SET is_serviceable = 1 WHERE name = 'Checked-Out';

ALTER TABLE study_status ADD COLUMN is_pending INT(1) NOT NULL DEFAULT 0;
ALTER TABLE study_status ADD COLUMN is_open INT(1) NOT NULL DEFAULT 0;
ALTER TABLE study_status ADD COLUMN is_closed INT(1) NOT NULL DEFAULT 0;
UPDATE study_status SET is_pending = 1 WHERE name = 'IRB_PROCESS';
UPDATE study_status SET is_open = 1 WHERE name = 'OPEN';
UPDATE study_status SET is_closed = 1 WHERE name = 'CLOSED';

UPDATE report SET description = 'Level of service for all the checked-out visits'
 WHERE name = 'level_of_service';
